org.bouncycastle.openpgp

## Class PGPCompressedData

- java.lang.Object
- - org.bouncycastle.openpgp.PGPCompressedData

All Implemented Interfaces:
  CompressionAlgorithmTags

    public class PGPCompressedData
    extends java.lang.Object
    implements CompressionAlgorithmTags

Compressed data objects.

### Field Summary

### Fields inherited from interface org.bouncycastle.bcpg.CompressionAlgorithmTags

`BZIP2, UNCOMPRESSED, ZIP, ZLIB`

### Constructor Summary

Constructors
Constructor and Description
`PGPCompressedData(BCPGInputStream pIn)`

### Method Summary

Methods
`int` `getAlgorithm()` Return the algorithm used for compression
`java.io.InputStream` `getDataStream()` Return an uncompressed input stream which allows reading of the compressed data.
`java.io.InputStream` `getInputStream()` Return the raw input stream contained in the object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PGPCompressedData

    public PGPCompressedData(BCPGInputStream pIn)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### getAlgorithm

    public int getAlgorithm()

Return the algorithm used for compression

Returns:
  algorithm code

#### getInputStream

    public java.io.InputStream getInputStream()

Return the raw input stream contained in the object.

Returns:
  InputStream

#### getDataStream

    public java.io.InputStream getDataStream()
                                      throws PGPException

Return an uncompressed input stream which allows reading of the compressed data.

Returns:
  InputStream
Throws:
  `PGPException`